jinyan798
2010-03-16 11:30 阅读 315
已采纳

XFIRE1.2.6和java6自带的webservice有冲突?

当引入xfire1.2.6jar包后,java6自带的webservice的发布就会出现问题。从不引入xfire所需jar包jdom抛出的异常来看系统会自动的使用xfire的org.codehaus.xfire.jaxws.Provider.createAndPublishEndpoint来发布,这个情况怎么解释。java6的发布语句:javax.xml.ws.Endpoint.publish(serverURL, this)。在网上查到,xfire的Endpoint类是继承javax.xml.ws.Endpoint

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

1条回答 默认 最新

  • 已采纳
    wanghaolovezlq wanghaolovezlq 2010-03-16 11:37

    可能是存在两个实现导致的不兼容吧,

    点赞 评论 复制链接分享

相关推荐